### Method

# Gio TlsClientConnection set_use_ssl3

deprecated: 2.56 since: 2.28

#### Declaration

    void
    g_tls_client_connection_set_use_ssl3 (
      GTlsClientConnection* conn,
      gboolean use_ssl3
    )

#### Description

Since GLib 2.42.1, SSL 3.0 is no longer supported.

From GLib 2.42.1 through GLib 2.62, this function could be used to force use of TLS 1.0, the lowest-supported TLS protocol version at the time. In the past, this was needed to connect to broken TLS servers that exhibited protocol version intolerance. Such servers are no longer common, and using TLS 1.0 is no longer considered acceptable.

Since GLib 2.64, this function does nothing.

Available since: 2.28

Deprecated since: 2.56

SSL 3.0 is insecure.

Sets property | `Gio.TlsClientConnection:use-ssl3`

#### Parameters

`use_ssl3`

  Type: `gboolean`

  A #gboolean, ignored.